# 网盘租户系统
## 技术栈
flask

# 功能
## 管理员系统
1. 添加网盘登录信息变量，每个账号环境变量隔离
2. 选择添加后的网盘，可以编辑、删除、分享
    2.1 如果选择分享，则生成外链供用户使用
    2.2 外链格式为/exlink/xxxxx，其中xxxxx为不重复的随机字符串
    2.3 外链配置支持有效期，过期后外链失效
    2.4 外链配置支持访问次数，访问次数用完后外链失效
3. 网盘账号管理
   3.1 支持多种网盘类型（阿里云盘、百度网盘等）
   3.2 每个账号可设置独立的环境变量（如API密钥、访问令牌等）
   3.3 账号状态监控（在线/离线、剩余容量等）

4. 外链高级管理
   4.1 外链访问日志记录（IP、时间、访问结果）
   4.2 外链权限控制（下载/预览/列表权限）
   4.3 外链密码保护功能
   4.4 批量生成和管理外链

5. 统计分析
   5.1 外链使用情况统计图表

## 用户系统
1. 用户使用外链访问后，页面显示剩余次数，到期时间倒计时
2. 用户每成功登录一次，剩余次数-1
